package org.seasar.jsf.template.impl;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.template.ComponentTreeBuilder;
import org.seasar.jsf.template.TagSelector;
import org.xml.sax.Attributes;

/**
 * @author higa
 *  
 */
public class UIParameterSelector implements TagSelector {

	public UIParameterSelector() {
	}

	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		if (!JsfConstants.SPAN_ELEM.equalsIgnoreCase(qName)) {
			return false;
		}
		return JsfConstants.PARAM_VALUE.equalsIgnoreCase(attributes.getValue(
				JsfConstants.S2JSF_NSURI, JsfConstants.TYPE_ATTR));
	}

	public ComponentTreeBuilder createBuilder(String namespaceURI,
			String localName, String qName, Attributes attributes) {

		return new UIParameterBuilder(namespaceURI, localName, qName,
				attributes);
	}
}